> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw Quote



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/withdraw/quote
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/withdraw/quote:
    post:
      tags:
        - withdraw
      summary: Withdraw Quote
      operationId: withdraw_quote_v1_withdraw_quote_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawQuoteRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawQuoteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WithdrawQuoteRequest:
      properties:
        vault_id:
          type: string
          title: Vault Id
        shares:
          type: string
          title: Shares
        user_address:
          type: string
          title: User Address
        slippage:
          type: number
          title: Slippage
          default: 0.01
      type: object
      required:
        - vault_id
        - shares
        - user_address
      title: WithdrawQuoteRequest
    WithdrawQuoteResponse:
      properties:
        vault:
          $ref: '#/components/schemas/VaultResponse'
        mode:
          type: string
          title: Mode
        shares:
          type: string
          title: Shares
        estimated_assets:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimated Assets
        min_amount_out:
          type: string
          title: Min Amount Out
        intent:
          $ref: '#/components/schemas/WithdrawIntentData'
        eip712:
          anyOf:
            - type: object
            - type: 'null'
          title: Eip712
        signature:
          type: string
          title: Signature
          default: ''
        approval:
          $ref: '#/components/schemas/ApprovalData'
      type: object
      required:
        - vault
        - mode
        - shares
        - min_amount_out
        - intent
        - approval
      title: WithdrawQuoteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VaultResponse:
      properties:
        vault_id:
          type: string
          title: Vault Id
        name:
          type: string
          title: Name
        address:
          type: string
          title: Address
        chain_id:
          type: integer
          title: Chain Id
        chain_name:
          type: string
          title: Chain Name
        asset:
          $ref: '#/components/schemas/AssetInfo'
        accepted_assets:
          items:
            $ref: '#/components/schemas/AssetInfo'
          type: array
          title: Accepted Assets
          default: []
        deposit_router:
          type: string
          title: Deposit Router
        type:
          type: string
          title: Type
          default: morpho
        min_deposit:
          anyOf:
            - type: string
            - type: 'null'
          title: Min Deposit
        no_minimum:
          type: boolean
          title: No Minimum
          default: false
        curator:
          anyOf:
            - type: string
            - type: 'null'
          title: Curator
        paused:
          type: boolean
          title: Paused
          default: false
        paused_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Paused Reason
        external_router:
          type: boolean
          title: External Router
          default: false
      type: object
      required:
        - vault_id
        - name
        - address
        - chain_id
        - chain_name
        - asset
        - deposit_router
      title: VaultResponse
    WithdrawIntentData:
      properties:
        user:
          type: string
          title: User
        vault:
          type: string
          title: Vault
        asset:
          type: string
          title: Asset
        shares:
          type: string
          title: Shares
        min_amount_out:
          type: string
          title: Min Amount Out
        nonce:
          type: string
          title: Nonce
        deadline:
          type: string
          title: Deadline
      type: object
      required:
        - user
        - vault
        - asset
        - shares
        - min_amount_out
        - nonce
        - deadline
      title: WithdrawIntentData
    ApprovalData:
      properties:
        token_address:
          type: string
          title: Token Address
        spender_address:
          type: string
          title: Spender Address
        amount:
          type: string
          title: Amount
      type: object
      required:
        - token_address
        - spender_address
        - amount
      title: ApprovalData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AssetInfo:
      properties:
        address:
          type: string
          title: Address
        symbol:
          type: string
          title: Symbol
        decimals:
          type: integer
          title: Decimals
      type: object
      required:
        - address
        - symbol
        - decimals
      title: AssetInfo

````